Skip to main content
`Ctrl`+`K`

# nodes_with_selfloops

nodes_with_selfloops(G)

  Returns an iterator over nodes with self loops.

  A node with a self loop has an edge with both ends adjacent to that node.

  Returns:
    nodelist iterator

      A iterator over nodes with self loops.

  See also

  `selfloop_edges`, `number_of_selfloops`

  Examples

      >>> G = nx.Graph()  # or DiGraph, MultiGraph, MultiDiGraph, etc
      >>> G.add_edge(1, 1)
      >>> G.add_edge(1, 2)
      >>> list(nx.nodes_with_selfloops(G))
      [1]